import { File } from '../types';
declare type CreateFileInput = {
    name: string;
    content: null | string | ArrayBuffer;
};
export declare const request: {
    ls: import("typesafe-actions/dist/create-async-action").AsyncActionBuilder<"IPFS/LS/REQUEST", "IPFS/LS/SUCCESS", "IPFS/LS/FAILURE", void, File[], Error>;
    cat: import("typesafe-actions/dist/create-async-action").AsyncActionBuilder<"IPFS/CAT/REQUEST", "IPFS/CAT/SUCCESS", "IPFS/CAT/FAILURE", string, string, Error>;
    rm: import("typesafe-actions/dist/create-async-action").AsyncActionBuilder<"IPFS/RM/REQUEST", "IPFS/RM/SUCCESS", "IPFS/RM/FAILURE", string, void, Error>;
    touch: import("typesafe-actions/dist/create-async-action").AsyncActionBuilder<"IPFS/TOUCH/REQUEST", "IPFS/TOUCH/SUCCESS", "IPFS/TOUCH/FAILURE", CreateFileInput, void, Error>;
    mkdir: import("typesafe-actions/dist/create-async-action").AsyncActionBuilder<"IPFS/MKDIR/REQUEST", "IPFS/MKDIR/SUCCESS", "IPFS/MKDIR/FAILURE", string, void, Error>;
    rmdir: import("typesafe-actions/dist/create-async-action").AsyncActionBuilder<"IPFS/RMDIR/REQUEST", "IPFS/RMDIR/SUCCESS", "IPFS/RMDIR/FAILURE", string, void, Error>;
};
export declare const cwd: import("typesafe-actions/dist/types").PayloadCreator<"IPFS/CWD", string>;
export declare const ls: import("typesafe-actions/dist/types").NoArgCreator<"IPFS/LS">;
export declare const rm: import("typesafe-actions/dist/types").PayloadCreator<"IPFS/RM", string>;
export declare const cat: import("typesafe-actions/dist/types").PayloadCreator<"IPFS/CAT", string>;
export declare const touch: import("typesafe-actions/dist/types").PayloadCreator<"IPFS/TOUCH", CreateFileInput>;
export declare const mkdir: import("typesafe-actions/dist/types").PayloadCreator<"IPFS/MKDIR", string>;
export declare const rmdir: import("typesafe-actions/dist/types").PayloadCreator<"IPFS/RMDIR", string>;
export {};
//# sourceMappingURL=files.d.ts.map