"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var typesafe_actions_1 = require("typesafe-actions");
exports.request = {
    ls: typesafe_actions_1.createAsyncAction('IPFS/LS/REQUEST', 'IPFS/LS/SUCCESS', 'IPFS/LS/FAILURE')(),
    cat: typesafe_actions_1.createAsyncAction('IPFS/CAT/REQUEST', 'IPFS/CAT/SUCCESS', 'IPFS/CAT/FAILURE')(),
    rm: typesafe_actions_1.createAsyncAction('IPFS/RM/REQUEST', 'IPFS/RM/SUCCESS', 'IPFS/RM/FAILURE')(),
    touch: typesafe_actions_1.createAsyncAction('IPFS/TOUCH/REQUEST', 'IPFS/TOUCH/SUCCESS', 'IPFS/TOUCH/FAILURE')(),
    mkdir: typesafe_actions_1.createAsyncAction('IPFS/MKDIR/REQUEST', 'IPFS/MKDIR/SUCCESS', 'IPFS/MKDIR/FAILURE')(),
    rmdir: typesafe_actions_1.createAsyncAction('IPFS/RMDIR/REQUEST', 'IPFS/RMDIR/SUCCESS', 'IPFS/RMDIR/FAILURE')()
};
exports.cwd = typesafe_actions_1.createStandardAction('IPFS/CWD')();
exports.ls = typesafe_actions_1.createStandardAction('IPFS/LS')();
exports.rm = typesafe_actions_1.createStandardAction('IPFS/RM')();
exports.cat = typesafe_actions_1.createStandardAction('IPFS/CAT')();
exports.touch = typesafe_actions_1.createStandardAction('IPFS/TOUCH')();
exports.mkdir = typesafe_actions_1.createStandardAction('IPFS/MKDIR')();
exports.rmdir = typesafe_actions_1.createStandardAction('IPFS/RMDIR')();
//# sourceMappingURL=files.js.map