import * as actions from './actions';
export { File } from './types';
declare const _default: {
    reducer: import("redux").Reducer<{
        files: {
            root: string;
            list: import("./types").File[];
            content: string;
            error: Error | null;
        };
    }, import("redux").AnyAction>;
    epics: import("redux-observable").Epic<import("typesafe-actions/dist/types").EmptyAction<"IPFS/LS/REQUEST"> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/LS/SUCCESS", import("./types").File[]> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/LS/FAILURE", Error> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/CAT/REQUEST", string> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/CAT/SUCCESS", string> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/CAT/FAILURE", Error> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/RM/REQUEST", string> | import("typesafe-actions/dist/types").EmptyAction<"IPFS/RM/SUCCESS"> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/RM/FAILURE", Error> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/TOUCH/REQUEST", {
        name: string;
        content: string | ArrayBuffer | null;
    }> | import("typesafe-actions/dist/types").EmptyAction<"IPFS/TOUCH/SUCCESS"> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/TOUCH/FAILURE", Error> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/MKDIR/REQUEST", string> | import("typesafe-actions/dist/types").EmptyAction<"IPFS/MKDIR/SUCCESS"> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/MKDIR/FAILURE", Error> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/RMDIR/REQUEST", string> | import("typesafe-actions/dist/types").EmptyAction<"IPFS/RMDIR/SUCCESS"> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/RMDIR/FAILURE", Error> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/CWD", string> | import("typesafe-actions/dist/types").EmptyAction<"IPFS/LS"> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/RM", string> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/CAT", string> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/TOUCH", {
        name: string;
        content: string | ArrayBuffer | null;
    }> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/MKDIR", string> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/RMDIR", string>, import("typesafe-actions/dist/types").EmptyAction<"IPFS/LS/REQUEST"> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/LS/SUCCESS", import("./types").File[]> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/LS/FAILURE", Error> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/CAT/REQUEST", string> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/CAT/SUCCESS", string> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/CAT/FAILURE", Error> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/RM/REQUEST", string> | import("typesafe-actions/dist/types").EmptyAction<"IPFS/RM/SUCCESS"> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/RM/FAILURE", Error> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/TOUCH/REQUEST", {
        name: string;
        content: string | ArrayBuffer | null;
    }> | import("typesafe-actions/dist/types").EmptyAction<"IPFS/TOUCH/SUCCESS"> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/TOUCH/FAILURE", Error> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/MKDIR/REQUEST", string> | import("typesafe-actions/dist/types").EmptyAction<"IPFS/MKDIR/SUCCESS"> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/MKDIR/FAILURE", Error> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/RMDIR/REQUEST", string> | import("typesafe-actions/dist/types").EmptyAction<"IPFS/RMDIR/SUCCESS"> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/RMDIR/FAILURE", Error> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/CWD", string> | import("typesafe-actions/dist/types").EmptyAction<"IPFS/LS"> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/RM", string> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/CAT", string> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/TOUCH", {
        name: string;
        content: string | ArrayBuffer | null;
    }> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/MKDIR", string> | import("typesafe-actions/dist/types").PayloadAction<"IPFS/RMDIR", string>, {
        ipfs: {
            files: {
                root: string;
                list: import("./types").File[];
                content: string;
                error: Error | null;
            };
        };
    }, any>[];
    actions: typeof actions;
};
export default _default;
//# sourceMappingURL=index.d.ts.map